#include <bits/stdc++.h>
using namespace std;
int n,k,a[100004],r;
int main()
{
    cin >> n >>  k;
    
    for(int i=1; i<=n; i++){
        cin >> a[i];
       if(k==a[n]){
           r=a[1];
           }
 else  if(a[i]==k){
        r=a[i-1];
        }
   // cout << a[n]<< endl;
    
//    cout << a[1]<< endl;
  //  cout << a[i-1]<< endl;
    }
    
    
    cout <<r<< endl;
    
    
    
    return 0;
    }